=== debian/changelog ===
pure-stllib (0.5-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 19 Sep 2013 08:24:33 +0200

pure-stllib (0.4-1) natty; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 03 Dec 2012 07:29:04 +0100

pure-stllib (0.3-2) natty; urgency=low

  * Fixes for compatibility with g++ 4.4 (Lucid)

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 13 Jun 2012 05:45:36 +0200

pure-stllib (0.3-1) natty; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 12 Jun 2012 01:29:43 +0200

pure-stllib (0.2-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 27 May 2012 00:15:14 +0200

pure-stllib (0.2-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 20:57:01 +0200
