=== debian/control ===
Source: pure-stllib
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure, pure-dev, pkg-config
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-stllib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: another STL interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package contains a pair of Pure addons, pure-stlvec and
 pure-stlmap. These addons provide Pure interfaces to a selection of
 containers provided by the C++ Standard Library, specialized to hold pointers
 to arbitrary Pure expressions. pure-stlvec is a Pure interface to C++'s
 vector and the STL algorithms that act on them. pure-stlmap is an interface
 to six (of the eight) of C++'s associative containers: map, set, multimap,
 multiset, unordered_map and unordered_set.
